Page MenuHomePhabricator

broken navigation links after upgrade from 1.5 Sidebar
Closed, ResolvedPublic

Description

Author: joergmi

Description:
in version 1.5 I customized MediaWiki:Sidebar and added 3 links
after the ugrade
MediaWiki:Sidebar is still showing correct links but the standard links are
displayed and cannot be changed....


Version: 1.6.x
Severity: normal
OS: Linux
Platform: PC

Details

Reference
bz5483

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:10 PM
bzimport set Reference to bz5483.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 6 2006, 7:50 PM
brion added a comment.Apr 6 2006, 9:48 PM

Clear the cache.

Wiki.Melancholie wrote:

If clearing your browser cache didn't work, this bug might be related to Bug

  1. If it *did* work, consider closing this bug (WORKSFORME).

joergmi wrote:

does not work for me.

i disabled server cache, delete the Mediawiki:Sidebar and restored only one page
containing my navigation links.
unfortunatly mediawiki is still showing the default navigation bar

robchur wrote:

(In reply to comment #3)
The sidebar seems to be cached in an aggressive manner. Double-check that you

  • purged the cache on a page using it (with action=purge)
  • did a hard-refresh in the browser

You may find you need to do this again after the second lot of modifications you
made.

joergmi wrote:

https://hostname/index.php?title=Hauptseite&ction=purge
did do this, but it doesnt work.

tried it on 3 different computers, with 2 different browsers....

any more ideas?
thanks for your help

robchur wrote:

Confirm that

  • The edit went through
  • You haven't got $wgUseDatabaseMessages = false; in LocalSettings.php

joergmi wrote:

a) when i recheck MediaWiki:Sidebar i only see the 4 links i added
b) there is no such line in LocalSettings.php so i added the line
$wgUseDatabaseMessages = true;

there must be a different place where the navigation thing is stored - because
there is no other Sidebar entry in my wiki....

best regards.

brion added a comment.Apr 7 2006, 5:44 PM

To clear all cached bits, do:
TRUNCATE TABLE objectcache;

Editing MediaWiki:Sidebar should also always clear the sidebar cache.
(Note that page views may still be cached.)

joergmi wrote:

wow thanks a lot
truncate table objectcache; did it.

(WORKSFORME)

murrayc wrote:

I also experienced this after upgrading from a 1.5 version to 1.6.3. As
mentioned here
http://meta.wikimedia.org/wiki/Help_talk:Navigation_bar#Troubleshooting
I fixed it by just editing and saving the Sidebar page again.

Strangely, I suspect that it was working at first after the upgrade, but the
navigation menu then reverted to the standard after a few days, until I fixed it
by re-saving the Sidebar.